Bug 805984 - [abrt] kernel: kernel BUG at include/linux/mm.h:402!
[abrt] kernel: kernel BUG at include/linux/mm.h:402!
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:df3063879f1b57427f46f2dcb7c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 11:55 EDT by Francisco Miguel Biete
Modified: 2012-05-03 11:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-22 12:28:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francisco Miguel Biete 2012-03-22 11:55:04 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.0-4.fc16.x86_64 root=UUID=258499f6-a66c-4bfe-902f-d7b58a6b71eb ro rd.md=0 rd.lvm=0 rd.dm=0 quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=es_ES.UTF-8 KEYTABLE=es 3
comment:        Start a vmware virtual machine
kernel:         3.3.0-4.fc16.x86_64
reason:         kernel BUG at include/linux/mm.h:402!
time:           jue 22 mar 2012 16:48:39 CET

backtrace:
:kernel BUG at include/linux/mm.h:402!
:invalid opcode: 0000 [#1] SMP 
:CPU 5 
:Modules linked in: vmnet(O) parport_pc vsock(O) vmci(O) vmmon(O) nouveau ttm drm_kms_helper drm mxm_wmi video ppdev parport fuse lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter be2iscsi iscsi_boot_sysfs ip6_tables bnx2i cnic uio cxgb4i cxgb4 hwmon_vid cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec joydev snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd sp5100_tco i2c_piix4 i2c_core asus_atk0110 soundcore snd_page_alloc microcode edac_core edac_mce_amd r8169 mii serio_raw k10temp binfmt_misc sunrpc uinput firewire_ohci ata_generic firewire_core pata_acpi crc_itu_t pata_atiixp wmi [last unloaded: vmnet]
:Pid: 10121, comm: vmware-vmx Tainted: G           O 3.3.0-4.fc16.x86_64 #1 System manufacturer System Product Name/M4A89GTD-PRO
:RIP: 0010:[<ffffffffa0352298>]  [<ffffffffa0352298>] get_page.part.0+0x4/0xd6c [vmmon]
:RSP: 0018:ffff88020eb19d38  EFLAGS: 00010246
:RAX: 0000000000000000 RBX: ffffea00083af200 RCX: 0000000000000000
:RDX: ffffea00083af240 RSI: ffffea00083af200 RDI: ffff88020ebc9000
:RBP: ffff88020eb19d38 R08: 0000000000238000 R09: 000000000009a839
:R10: 0000000000000003 R11: ffff8802057f8840 R12: ffff88020e44c638
:R13: 0000000000000004 R14: 0000000000000003 R15: 0000000000000001
:FS:  00007fdbbd628740(0000) GS:ffff880237d40000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 0000000000987510 CR3: 000000020eb30000 CR4: 00000000000006e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process vmware-vmx (pid: 10121, threadinfo ffff88020eb18000, task ffff88020e024590)
:Stack:
: ffff88020eb19dc8 ffffffffa0348be8 0000000000000001 0000000000000000
: ffff88020fcb68f0 ffff88020e44c610 0000000000000003 0000000000000004
: 0000000400000003 ffff88020e44c600 00000002000200d2 0000000000000000
:Call Trace:
: [<ffffffffa0348be8>] LinuxDriverMmap+0x2a8/0x2d0 [vmmon]
: [<ffffffff8114d009>] mmap_region+0x369/0x510
: [<ffffffff8114d4f8>] do_mmap_pgoff+0x348/0x360
: [<ffffffff8114d5d6>] sys_mmap_pgoff+0xc6/0x230
: [<ffffffff810d3ab6>] ? __audit_syscall_exit+0x3d6/0x410
: [<ffffffff810189e2>] sys_mmap+0x22/0x30
: [<ffffffff815fc029>] system_call_fastpath+0x16/0x1b
:Code: c7 c7 f3 3e 35 a0 e8 98 5e ff ff 31 c0 e9 82 fc ff ff c7 83 78 04 00 00 00 00 00 00 66 b8 00 e0 e9 eb fb ff ff 00 00 55 48 89 e5 <0f> 0b bf f2 ff ff ff e9 f4 9f ff ff 00 00 00 00 00 00 00 00 00 
:RIP  [<ffffffffa0352298>] get_page.part.0+0x4/0xd6c [vmmon]
: RSP <ffff88020eb19d38>

smolt_data:
:
:
:General
:=================================
:UUID: c3e8a233-94c1-4e59-9e4f-e5845ada74b0
:SO: Fedora release 16 (Verne)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.UTF-8
:Plataforma: x86_64
:BogoMIPS: 5619.79
:Fabricante de CPU: AuthenticAMD
:Modelo de CPU: AMD Phenom(tm) II X6 1055T Processor
:Paso del UCP: 0
:Familia de UCP: 16
:Número de Modelo de CPU: 10
:Número de CPUs: 6
:Velocidad del CPU: 2800
:Memoria del Sistema: 7986
:Intercambio (swap) del Sistema: 6854
:Vendedor: System manufacturer
:Sistema: System Product Name System Version
:Factor de forma: Desktop
:Kernel: 3.2.9-1.fc16.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(4098:17296:4098:17296) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
:(4318:3042:6860:10707) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4130:38401:4130:38401) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38403:4130:38401) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17308:4098:17308) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33808) pci, snd_hda_intel, MULTIMEDIA, M4A89GTD PRO/USB3 Motherboard
:(4098:17305:4098:17305) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4318:2592:6860:10707) pci, nouveau, VIDEO, GT216 [GeForce GT 220]
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 7846855 4902598 4509307 1966560 1649386 1649386
:/dev/sda5 /usr/local/src ext4 4096 4096 5228639 2977229 2714969 1313760 1166006 1166006
:/dev/sdb3 WITHHELD ext4 4096 4096 76550944 25898224 22066320 19161088 19140906 19140906
:/dev/sda1 /boot ext4 4096 4096 524693 476717 450411 131648 131415 131415
:/dev/sdc1 /home ext4 4096 4096 121965836 13723954 7619135 30531584 30080632 30080632
:/dev/sda6 WITHHELD ext4 4096 4096 46457984 29339113 27013304 11632640 11632032 11632032
:/dev/sdd2 WITHHELD ext4 4096 4096 70712634 14718561 11068192 73039872 72937900 72937900
:
Comment 1 Francisco Miguel Biete 2012-03-22 11:57:56 EDT
Kernel 3.2.9-1 is the last working
Comment 2 Dave Jones 2012-03-22 12:28:58 EDT
this crash is in the vmware modules.
Comment 3 Alan B Saichek 2012-03-31 23:45:05 EDT
I have encountered this crash frequently with several applications:

selinux, google-chrome, vinagre

3.3.0-4.fc16.x86_64 #1 SMP Tue Mar 20 18:05:40 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

http://www.smolts.org/client/show/pub_9c9c84d7-f3fc-43ef-b110-61d2bc44837c

http://www.asrock.com/mb/overview.asp?Model=E350M1

sosreport generated, if helpful.

Thanks, Alan
Comment 4 Nick Byrne 2012-05-03 09:02:26 EDT
Why is this marked closed, I get this also with scons 


[72329.911729] kernel BUG at include/linux/mm.h:402!
[72329.911786] invalid opcode: 0000 [#1] SMP 
[72329.911843] CPU 0 
[72329.911868] Modules linked in: ppdev parport_pc parport be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm bnep ib_cm iw_cm ib_sa bluetooth ib_mad ib_core rfkill ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi binfmt_misc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm shpchp edac_core tulip k10temp uinput serio_raw edac_mce_amd snd_timer snd r8169 soundcore sp5100_tco snd_page_alloc microcode mii i2c_piix4 ata_generic pata_acpi pata_atiixp firewire_ohci firewire_core crc_itu_t pata_via radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: nf_defrag_ipv4]
[72329.912003] 
[72329.912003] Pid: 3181, comm: scons Not tainted 3.3.2-6.fc16.x86_64 #1 BIOSTAR Group TA890GXE/TA890GXE
[72329.912003] RIP: 0010:[<ffffffff815ec0f2>]  [<ffffffff815ec0f2>] get_page.part.5+0x4/0x6
[72329.912003] RSP: 0018:ffff8801163ebbf0  EFLAGS: 00010246
[72329.912003] RAX: 0000000000000000 RBX: 800000009ddfd045 RCX: 800000009dffc045
[72329.912003] RDX: ffffea0002777f40 RSI: 0000000001865000 RDI: 800000009ddfd045
[72329.912003] RBP: ffff8801163ebbf0 R08: ffff8800cf00ee70 R09: 0000000000016a80
[72329.912003] R10: ffff88011ffec700 R11: 0000000000000024 R12: ffff8800cfb26328
[72329.912003] R13: 0000000001865000 R14: 0000000000000008 R15: ffff8800cdf28328
[72329.912003] FS:  00007f040cdd2700(0000) GS:ffff88011fc00000(0000) knlGS:00000000f64e3b40
[72329.912003] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[72329.912003] CR2: 00007f040cd61c30 CR3: 0000000118c7f000 CR4: 00000000000006f0
[72329.912003] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[72329.912003] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[72329.912003] Process scons (pid: 3181, threadinfo ffff8801163ea000, task ffff8800cfb74590)
[72329.912003] Stack:
[72329.912003]  ffff8801163ebcc0 ffffffff81145301 ffff88011ffedc08 0000000000000000
[72329.912003]  ffffffff812c131d ffffea0000000000 ffff88011187e390 ffff8801154a4790
[72329.912003]  ffff8800cfb74590 ffff8801128ba060 ffff8800cdf2a060 ffff8801163ebfd8
[72329.912003] Call Trace:
[72329.912003]  [<ffffffff81145301>] copy_pte_range+0x411/0x500
[72329.912003]  [<ffffffff812c131d>] ? cpumask_any_but+0x2d/0x40
[72329.912003]  [<ffffffff81147fb3>] copy_page_range+0x2d3/0x490
[72329.912003]  [<ffffffff81055377>] dup_mm+0x347/0x650
[72329.912003]  [<ffffffff810564a5>] copy_process+0xde5/0x14b0
[72329.912003]  [<ffffffff81056cba>] do_fork+0xfa/0x390
[72329.912003]  [<ffffffff815f2a34>] ? __schedule+0x3c4/0x7b0
[72329.912003]  [<ffffffff8101d6e8>] sys_clone+0x28/0x30
[72329.912003]  [<ffffffff815fc4f3>] stub_clone+0x13/0x20
[72329.912003]  [<ffffffff815fc1e9>] ? system_call_fastpath+0x16/0x1b
[72329.912003] Code: bf f1 81 48 85 f6 74 11 83 e2 7f 48 c1 e2 05 48 01 f2 74 05 f6 02 02 75 02 5d c3 48 89 f8 48 c1 e0 06 48 29 c8 eb f2 55 48 89 e5 <0f> 0b 55 48 89 e5 0f 0b 55 48 89 e5 0f 0b 55 48 89 e5 0f 0b 55 
[72329.912003] RIP  [<ffffffff815ec0f2>] get_page.part.5+0x4/0x6
[72329.912003]  RSP <ffff8801163ebbf0>
Comment 5 Dave Jones 2012-05-03 11:07:41 EDT
Nick, the call trace is different to the one reported in this bug, even though it ends up hitting that same line.
Could you file a separate bug please ?
Comment 6 Nick Byrne 2012-05-03 11:19:57 EDT
have done - bug #818630

Note You need to log in before you can comment on or make changes to this bug.